> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1schedule



## OpenAPI

````yaml https://saas.pads365.com/rdx/nds.services.schedule//swagger/v1/swagger.json get /api/v1/Schedule
openapi: 3.0.0
info:
  title: nds.services.schedule
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/nds.services.schedule/
security: []
paths:
  /api/v1/Schedule:
    get:
      tags:
        - Schedule
      operationId: Schedule_GetGET
      parameters:
        - name: ids
          in: query
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              format: guid
          x-position: 1
        - name: exceptionStart
          in: query
          schema:
            type: string
            format: date-time
            nullable: true
          x-position: 2
        - name: exceptionEnd
          in: query
          schema:
            type: string
            format: date-time
            nullable: true
          x-position: 3
        - name: pageIndex
          in: query
          schema:
            type: integer
            format: int32
            default: 1
          x-position: 4
        - name: pageSize
          in: query
          schema:
            type: integer
            format: int32
            default: 100
          x-position: 5
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FindPaginatedSchedulesResult'
components:
  schemas:
    FindPaginatedSchedulesResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            Result:
              type: array
              items:
                $ref: '#/components/schemas/Schedule'
            PageIndex:
              type: integer
              format: int32
            TotalPages:
              type: integer
              format: int32
            HasPreviousPage:
              type: boolean
            HasNextPage:
              type: boolean
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    Schedule:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        ScheduleItems:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleItem'
    ScheduleItem:
      type: object
      additionalProperties: false
      required:
        - Start
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        Name:
          type: string
        Start:
          type: string
          format: date-time
          minLength: 1
        End:
          type: string
          format: date-time
          nullable: true
        StartTimeZone:
          type: string
          nullable: true
        Recurrence:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Recurrence'
    Recurrence:
      type: object
      additionalProperties: false
      required:
        - StartTime
        - Pattern
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        StartTime:
          type: string
          format: duration
          minLength: 1
        EndTime:
          type: string
          format: duration
        Offset:
          type: string
          format: duration
          nullable: true
        EndCount:
          type: integer
          format: int32
          nullable: true
        RecurrenceType:
          type: string
        Interval:
          type: string
          format: duration
          nullable: true
        Duration:
          type: string
          format: duration
          nullable: true
        Pattern: {}
        Exceptions:
          type: array
          items:
            $ref: '#/components/schemas/RecurrenceException'
    RecurrenceException:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        RecurrenceId:
          type: string
          format: guid
        OriginalTime:
          type: string
          format: date-time
        IsDeleted:
          type: boolean
        NewStart:
          type: string
          format: duration
          deprecated: true
          x-deprecatedMessage: use newstarttime instead
          nullable: true
        NewEnd:
          type: string
          format: duration
          deprecated: true
          x-deprecatedMessage: use newendtime instead
          nullable: true
        NewStartTime:
          type: string
          format: date-time
          nullable: true
        NewEndTime:
          type: string
          format: date-time
          nullable: true

````